# class SS7M2UAClient | Client side of SIGTRAN SS7 MTP2 UA. More...
Full name | `TelEngine::SS7M2UAClient`
Definition | `#include <libs/ysig/yatesig.h>`
Inherits | TelEngine::SIGAdaptClient [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- inline SS7M2UAClient (const NamedList& params)
- virtual bool processMSG (unsigned char msgVersion, unsigned char msgClass, unsigned char msgType, const DataBlock& msg, int streamId)

## Detailed Description

The common client side of SIGTRAN SS7 MTP2 User Adaptation (RFC3331)

inline SS7M2UAClient (const NamedList& params) | ### SS7M2UAClient

Contructor of an empty IUA client

bool processMSG (unsigned char msgVersion, unsigned char msgClass, unsigned char msgType, const DataBlock& msg, int streamId) | ### processMSG

[virtual]

Reimplemented from SIGTRAN.

Generated by: paulc on bussard on Mon Feb 10 13:15:47 2014, using kdoc 2.0a54.